
The contents of this archive (GAPFB.ZIP) are useful only to GAP sysops.
GAPFB.ZIP contains file base data files and menu files that GAP sysops
can use to eliminate the need of importing the FILES.BBS description
files within each directory.

Within this archive file you will find the following files:

    FILES#.DAT      - Main GAP filebase data file.
    FILES#.IDX      - The index file for the main filebase data file.
    FILEK#.DAT      - Keyword data file.
    FILEK#.IDX      - Index file for the keyword data file.
    FBASE.DAT       - Example of the FBASE.DAT line needed by GAP.
    DIRS#.          - GAP DIRS. file of the data base (verbose
                        description of each directory.)
    FILES#.DIR      - GAP FILES.DIR file of the data base (directory
                        pointers of each filebase directory.)
    DIR#.           - An ASCII menu of the file base.
    DIR#G.          - An ANSI menu of the file base.
    DIR#R.          - A RIP menu of the file base.


In order to install these data files and menu files into your GAP file
base structure, you must be familiar with the alternate file base
ability of GAP.  GAP can have up to 20 alternate file bases (as per
version 6.4 of GAP and higher).  Each alternate file base is separate
from the main file base data files.  All that is needed is to do the
following:

     1. Run GAPSETUP and increase your number of available file bases
        by 1.  If the CD with this book will be your first alternate file
        base, set the Number of Filebases field to 2.

     2. Edit/Create a data file in the \GAP\GEN directory called
        FBASE.DAT.  This data file tells GAP about all alternate file
        bases.  An FBASE.DAT file is included in this archive.  Add the
        line in this FBASE.DAT to your own FBASE.DAT (at the botton).
        File bases listed in the FBASE.DAT file are sequential meaning
        the entry on line 1 is your main file base, line 2 - your 2nd
        file base, etc.  If you are creating a new FBASE.DAT, keep in
        mind that the very first line should reflect your current hard
        drive based file area of the main area in GAP.  The format of
        a line in FBASE.DAT is:

        fbase# number-of-dirs access-level offline? name

        The sample FBASE shows:

        2 20 10 N Expanding Your BBS

        2nd filebase, 20 directories, access level 10 needed to view it,
        not offline and the name - "Expanding Your BBS".

        Obviously, you should change this to suit your own personal BBS
        situation.  The 20 directories will remain constant but the other
        fields might change.

     3. Copy the data files (*.DAT and *.IDX) into your \GAP\MAIN
        directory under new names that reflect the number of the
        filebase.  If this is your second file base, all data files
        names should be FILES2.DAT, FILES2.IDX, FILEK2.DAT and
        FILEK2.IDX.  Be careful not to make a mistake and overwrite an
        existing file base!

     4. Copy the menu files (DIR#., DIR#G. and DIR#R.) into the \GAP\GEN
        directory under new names that reflect the file base number.
        Replace the # with the actual file base number.

     5. Copy the file base structure files (DIRS# and FILES#.DIR) into
        the \GAP\GEN directory under new names that reflect the file
        base number.  Replace the # with the actual file base number.
        This is not absolutely needed since it is doubtful you will
        need these file to add more entries into the file base.
        (Altername file bases from CDs generally do not change.)

     6. Edit/Create your FBASE. menu file in the \GAP\GEN directory.
        This is the menu file users will be shown when they use the C
        command from the files menu to change to a new file base.  It
        should list all of your file bases and their corresponding
        numbers.  The ANSI version of this file is FBASEG. and the RIP
        version of this file is FBASER..


Once that stage is complete, you can use the Global change command in
GAPFILE to change the drive letter assignment of all files.  This file
base was created with all files listed as being on D:.  Use the
Global Change command to change all drive letter assignments in this
file base to reflect the actual CD drive letter that this CD will be in.

This can be done by entering a * in the Old Value (Where) field and a
G: (or whatever your CD drive letter is) in the New Value (Where)
field.  Make sure to apply the changes to all subjects of this file
base.  All the directory pointers for file locations are correct.

Once those things are done, your file base is ready for use.  For more
details on how to setup an alternate file base, check the VER64.TXT (or
higher) that should have come with your GAP files or can be downloaded
from the GAP support BBS.

Have fun kiddies.
